## check-mk 1.1.10

=== api/c++/Makefile ===
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

ifneq (DEBUG,)
  CXXFLAGS += -g -DDEBUG
  LDFLAGS += -g
endif

all: demo

demo.o: demo.cc Livestatus.h
	g++ $(CXXFLAGS) -c -o $@ $<

Livestatus.o: Livestatus.cc Livestatus.h
	g++ $(CXXFLAGS) -c -o $@ $<

demo: demo.o Livestatus.o
	g++ $(CXXFLAGS) $(LDFLAGS) -o $@ $^

clean:
	rm -f demo.o demo Livetatus.o

## check-mk 1.1.12

=== Makefile ===
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

waitmax: waitmax.c
	@if type diet >/dev/null ; then \
	    echo "Compiling with diet (please ignore diet-warnings)..." ; \
	    diet gcc -s -o waitmax waitmax.c ; \
	else \
	    echo "WARNING: your binary is not portable. Please compile " ; \
	    echo "with dietlibc on 32-Bit to get portable statically " ; \
	    echo "linked binary." ; \
	    echo ; \
	    echo "Compiling with normal gcc..." ; \
	    gcc -s -o waitmax waitmax.c ; \
	fi
	@echo "Fine. Typing 'make install' as root now will install into /usr/bin"

clean:
	rm -rf *~ waitmax

## check-mk 1.1.12p7

=== Makefile ===
--- 
+++ 
@@ -22,19 +22,23 @@
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.
 
-waitmax: waitmax.c
-	@if type diet >/dev/null ; then \
-	    echo "Compiling with diet (please ignore diet-warnings)..." ; \
-	    diet gcc -s -o waitmax waitmax.c ; \
-	else \
-	    echo "WARNING: your binary is not portable. Please compile " ; \
-	    echo "with dietlibc on 32-Bit to get portable statically " ; \
-	    echo "linked binary." ; \
-	    echo ; \
-	    echo "Compiling with normal gcc..." ; \
-	    gcc -s -o waitmax waitmax.c ; \
-	fi
-	@echo "Fine. Typing 'make install' as root now will install into /usr/bin"
+ifeq ($(shell uname),Linux)
+  CXX = echo -e "\n\nWARNING: MinGW under Linux is broken! Use at your own risk!\n\n" ; i586-mingw32msvc-g++
+else
+  CXX = mingw32-g++
+endif
+
+all: check_mk_agent.exe crash.exe
+
+check_mk_agent.exe: check_mk_agent.cc Makefile
+	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
+
+crash.exe: crash.cc Makefile
+	$(CXX) -o $@ $<
 
 clean:
-	rm -rf *~ waitmax
+	rm -f *.o *~ svn-*.tmp
+
+mrproper: clean
+	rm -f *.exe
+

## check-mk 1.2.2p3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.
@@ -28,12 +28,21 @@
   CXX = mingw32-g++
 endif
 
-all: check_mk_agent.exe crash.exe
+install_agent.exe: check_mk_agent.exe crash.exe nowin.exe
+	if ! which makensis; then \
+	    echo "ERROR: makensis missing. Please install the nsis package." ; \
+	    exit 1 ; \
+	fi
+	makensis installer.nsi
+	chmod +x install_agent.exe
 
 check_mk_agent.exe: check_mk_agent.cc Makefile
 	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
 
 crash.exe: crash.cc Makefile
+	$(CXX) -o $@ $<
+
+nowin.exe: nowin.cc Makefile
 	$(CXX) -o $@ $<
 
 clean:

=== api/c++/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.

## check-mk 1.2.6p12

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2014             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.
@@ -22,32 +22,14 @@
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.
 
-ifeq ($(shell uname),Linux)
-  CXX = echo -e "\n\nWARNING: MinGW under Linux is broken! Use at your own risk!\n\n" ; i586-mingw32msvc-g++
-else
-  CXX = mingw32-g++
-endif
+all: mkevent mkeventd_open514
 
-install_agent.exe: check_mk_agent.exe crash.exe nowin.exe
-	if ! which makensis; then \
-	    echo "ERROR: makensis missing. Please install the nsis package." ; \
-	    exit 1 ; \
-	fi
-	makensis installer.nsi
-	chmod +x install_agent.exe
+mkevent: mkevent.c
+	diet gcc -O2 -s -o mkevent mkevent.c || \
+	gcc -O2 -o mkevent mkevent.c
 
-check_mk_agent.exe: check_mk_agent.cc Makefile
-	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
-
-crash.exe: crash.cc Makefile
-	$(CXX) -o $@ $<
-
-nowin.exe: nowin.cc Makefile
-	$(CXX) -o $@ $<
+mkeventd_open514: mkeventd_open514.c
+	gcc -O2 -o $@ $<
 
 clean:
-	rm -f *.o *~ svn-*.tmp
-
-mrproper: clean
-	rm -f *.exe
-
+	rm -f mkevent mkeventd_open514

=== api/c++/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2014             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.

## check-mk 1.2.8p14

=== jasperreports/Makefile ===
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2014             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# tails. You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

all:
	javac -cp "libs/*" -d classes src/*
	jar cf livestatus.jar -C classes .

clean:
	rm -rf classes/* livestatus.jar

## check-mk 1.2.8p16

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
 # out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
 # PARTICULAR PURPOSE. See the  GNU General Public License for more de-
-# ails.  You should have  received  a copy of the  GNU  General Public
+# tails. You should have  received  a copy of the  GNU  General Public
 # License along with GNU Make; see the file  COPYING.  If  not,  write
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.

=== api/c++/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
 # out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
 # PARTICULAR PURPOSE. See the  GNU General Public License for more de-
-# ails.  You should have  received  a copy of the  GNU  General Public
+# tails. You should have  received  a copy of the  GNU  General Public
 # License along with GNU Make; see the file  COPYING.  If  not,  write
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.

## check-mk 1.2.8p16-1ubuntu0.1%2B10.0trisquel1

=== debian/changelog ===
check-mk (1.2.8p16-1ubuntu0.1+10.0trisquel1) nabia; urgency=medium

  * Forward-ported from bionic, no longer packaged upstream

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Aug 2021 17:24:13 +0000

check-mk (1.2.8p16-1ubuntu0.1) zesty; urgency=medium

  * Added patch to fix downtime.h's scheduled_downtime_struct (LP: #1372284)

 -- Haw Loeung <haw.loeung@canonical.com>  Tue, 04 Apr 2017 17:17:00 -0700

check-mk (1.2.8p16-1) unstable; urgency=medium

  * new upstream release
  * fix some lintian errors
  * update policy version
  * fix debian/watch
  * update debhelper version
  * clean up nagios support/references, thanks Bas Couwenberg! (Closes: #846848)

 -- Matt Taggart <taggart@debian.org>  Thu, 26 Jan 2017 23:20:02 -0800

check-mk (1.2.8p14-1) unstable; urgency=low

  [ Bas Couwenberg ]
  * Team upload.
  * Update Vcs-* URLs to use HTTPS.

  [ Matt Taggart ]
  * Imported Upstream version 1.2.8p14
  * upstream will now use coreutils timeout if available rather than waitmax
  * xinetd.conf example moved, new xinetd_caching.conf

 -- Matt Taggart <taggart@debian.org>  Tue, 24 Jan 2017 12:20:53 -0800

check-mk (1.2.6p12-1) unstable; urgency=medium

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p12
  * fix multisite.d dir in postinst (Closes: #798344).

 -- Matt Taggart <taggart@debian.org>  Thu, 24 Sep 2015 13:08:41 -0700

check-mk (1.2.6p7-1) unstable; urgency=low

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p7
  * add myself to uploaders
  * fix some lintian errors
  * update version in defaults files (Closes: #792395).
  * provide cmk and mkp utils.
  * provide example multisite.mk config.
  * ensure some needed directories are created.
  * remove smartmontools depends until we properly fix the smart plugin.
  * review difference between upstream and debian install paths and
     document in README.source

  [ Bernhard Schmidt ]
  * start providing mk-job
  * fix -agent-logwatch depends
  * -agent-logwatch is arch all

 -- Matt Taggart <taggart@debian.org>  Fri, 21 Aug 2015 16:44:17 -0700

check-mk (1.2.6p5-1) unstable; urgency=medium

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p5
  * migrate multisite conffile, fix logic to better detect different
    cases (Closes: #732357)
  * check-mk-server: clean up stuff in /var on purge (Closes: #788829).
  * stop packaging all upsteam provided binaries (Closes: #790308).

 -- Matt Taggart <taggart@debian.org>  Fri, 03 Jul 2015 15:15:53 -0700

check-mk (1.2.6p4-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * New upstream release (Closes: #738987).
  * debian/defaults.*: Use correct check-mk version.
  * debian/control:
    - Add myself to Uploaders field.
    - Remove Sven Velt from Uploaders field (Closes: #739092).

  [ Ilya Rassadin ]
  * New upstream release (Closes: #778380).
  * debian/defaults.*: Use correct check-mk version.
  * debian/control: Add myself to Uploaders field.
  * debian/check-mk-server.install: Add path for flexible notifications
  * debian/check-mk-server.postinst: Add path for flexible notifications

  [ Matt Taggart ]
  * Confirmed that CVE-2014-2329, CVE-2014-2330, CVE-2014-2331,
     CVE-2014-2332 are fixed in upstream as of 1.2.3i5 (Closes: #742689).
  * New upstream release (Closes: #778380).
  * upstream forgot to include waitmax.c in their "source" tarball,
     provide it in the source package for now
  * logwatch.cfg example changed location upstream, adjust
     check_mk_agent_logwatch.{example,install}
  * regenerate defaults.* starting with upstream versions generated by
     setup.sh and then porting forward the debian specific changes.
  * regenerate apache.* starting with upstream versions generated by
     setup.sh and then porting forward the debian specific changes.
     Disable multisite automation.py and run_cron.py services by default.

 -- Matt Taggart <taggart@debian.org>  Wed, 10 Jun 2015 11:10:32 -0700

check-mk (1.2.2p3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Bechtold <toabctl@debian.org>  Thu, 05 Dec 2013 20:33:24 +0100

check-mk (1.2.2p2-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release (Closes: #678396).
  * Update defaults in debian/defaults.nagios3 and debian/defaults.icinga.
  * Update debian/patches/02_wato-sudoers.dpatch.
  * debian/check-mk-server.install: Remove usr/share/check_mk/pnp-rraconf.
  * debian/check-mk-config-nagios3.install: Adjust path for
    check_mk_templates.cfg.
  * debian/check-mk-config-icinga.install: Adjust path for
    check_mk_templates.cfg.
  * debian/check-mk-multisite.install: Remove no longer available
    etc/sudoers.d/check_mk_wato.
  * [411c207] check-mk-server: Add debconf note about RRD update.
  * [fd007c2] Handle apache 2.2 and apache2.4
  * [9038096] debconf msg only when upgrading from < 1.2.0

  [ Alexander Wirt ]
  * [1abe7cc] Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Fri, 13 Sep 2013 08:00:52 +0200

check-mk (1.1.12p7-1) unstable; urgency=low

  * [b088706] Add Recommends for snmp to server part
  * [1708000] Imported Upstream version 1.1.12p7
  * [256e383] Recommends ethtool and smartmontools in check-mk-agent
    (Closes: #649677)
  * [5a4c4cc] Move manpages to -server and don't compress docs (Closes: #649676)
  * [2f52423] Create /etc/check_mk/conf.d in multisite package (Closes: #649316)
  * [c536571] Bump version for default files
  * [688edf4] Fix usage of dpkg-maintscript-helper.
    Thanks to Colin Watson for the patch (Closes: #659548)
  * [98ce919] Call dh_* with -a or -i (Closes: #649162)
  * [1107727] Add missing dh_ calls to binary-indep
  * [b2f781c] Add missing -nagios3 preinst

 -- Alexander Wirt <formorer@debian.org>  Thu, 05 Apr 2012 19:36:02 +0200

check-mk (1.1.12-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [791a318] Install necessary sudo permissions for WATO.
  * [cb1f3c7] Fix lintian W: check-mk source:
              brace-expansion-in-debhelper-config-file


=== debian/control ===
Source: check-mk
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Thomas Bechtold <toabctl@debian.org>,
           Ilya Rassadin <elcamlost@gmail.com>,
           Matt Taggart <taggart@debian.org>
Build-Depends: debhelper (>= 9), dpatch
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-check-mk.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-check-mk.git

Package: check-mk-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xinetd, python
Recommends: ethtool
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the agent part of check-mk.

Package: check-mk-agent-logwatch
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, check-mk-agent, python
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the logwatch plugin for the agent.


Package: check-mk-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, python, check-mk-config-icinga, debconf
Recommends: check-mk-doc, snmp
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the server part of check_mk

Package: check-mk-config-icinga
Conflicts: check-mk-config-nagios3
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the icinga specific part of check_mk

Package: check-mk-livestatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xinetd
Conflicts: ucspi-unix
Recommends: check-mk-doc
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains livestatus

Package: check-mk-multisite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-python, check-mk-config-icinga
Recommends: sudo, check-mk-doc
Suggests: check-mk-livestatus
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the webfrontend of check_mk also known as
 "MK-Multisite"

Package: check-mk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: check-mk-livestatus, check-mk-server, check-mk-multisite
Description: general purpose monitoring plugin for retrieving data (documentation)
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the check_mk documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir agents
	tar -xzf agents.tar.gz -C agents
	mkdir docs
	tar -xzf doc.tar.gz -C docs
	mkdir config
	tar -xzf conf.tar.gz -C config

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: patch-stamp configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#cd agents ; $(MAKE)
	#docbook-to-man debian/check-mk.sgml > check-mk.1

	touch $@

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf agents docs config livestatus.src livestatus.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installdebconf
	mkdir -p debian/tmp
	DESTDIR=debian/tmp ./setup.sh --yes
	## clean up binaries shipped by upstream
	# upstream agent deb and rpm
	rm -rf debian/tmp/usr/share/check_mk/agent/check-mk-agent*.deb
	rm -rf debian/tmp/usr/share/check_mk/agent/check-mk-agent*.rpm
	# java jar and classes (we don't rebuild these, help if you want them)
	rm -rf debian/tmp/usr/share/doc/check_mk/jasperreports
	# Windows binaries (we don't rebuild these, help if you want them)
	rm -rf debian/tmp/usr/share/check_mk/agents/windows
	rm -rf debian/tmp/usr/share/doc/check_mk/treasures/windows_msi
	# fsc-celsius 'treasure' tarball that includes binaries
	rm -rf debian/tmp/usr/share/doc/check_mk/treasures/fsc-celsius*
	# agent_modbus
	rm debian/tmp/usr/share/doc/check_mk/treasures/modbus/agent_modbus
	# remove waitmax binary, check_mk will use timeout if available
	rm debian/tmp/usr/share/check_mk/agents/waitmax
	rm debian/tmp/usr/share/check_mk/agents/z_os/waitmax
	cp -a livestatus.src/debian/tmp/* debian/tmp/
	## config files
	# We need 2 different "defaults" files for Icinga and Nagios3
	rm debian/tmp/usr/share/check_mk/modules/defaults
	rm debian/tmp/usr/share/check_mk/web/htdocs/defaults.py
	mkdir -p debian/check-mk-config-icinga/usr/share/check_mk/modules/
	cp debian/defaults.icinga debian/check-mk-config-icinga/usr/share/check_mk/modules/defaults
	# We need 2 different Apache configs
	mkdir -p debian/check-mk-config-icinga/etc/apache2/conf-available/
	cp debian/apache.icinga debian/check-mk-config-icinga/etc/apache2/conf-available/check-mk-multisite.conf
	# Adjust path names
	# sed -i 's#/nagios/cgi-bin/#/cgi-bin/icinga/#' debian/tmp/check-mk-config-icinga/etc/icinga/objects/check_mk_templates.cfg
	# Prepare agent files
	cp debian/tmp/usr/share/check_mk/agents/check_mk_agent.linux debian/check-mk-agent/usr/bin/check_mk_agent
	chmod +x debian/check-mk-agent/usr/bin/check_mk_agent
	# mkp wrapper script
	mkdir -p debian/check-mk-server/usr/bin
	cp debian/tmp/usr/bin/mkp debian/check-mk-server/usr/bin/
	chmod +x debian/check-mk-server/usr/bin/mkp
	# xinetd: provide config, but disabled by default
	cp debian/tmp/usr/share/check_mk/agents/cfg_examples/xinetd.conf debian/check-mk-agent/etc/xinetd.d/check_mk
	sed -i 's#disable\s*=\s*no#disable        = yes#' debian/check-mk-agent/etc/xinetd.d/check_mk
	# move checks manpages (to be installed in -server)
	mv debian/tmp/usr/share/doc/check_mk/checks debian/tmp/usr/share/check_mk/checks-man
	# remove installed ChangeLog to avoid duplicate
	rm debian/tmp/usr/share/doc/check_mk/ChangeLog
	# remove installed COPYING, redundant
	rm debian/tmp/usr/share/doc/check_mk/COPYING

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_install -i
	dh_installdocs -i debian/README.Debian
	dh_installchangelogs -i ChangeLog
	dh_installexamples -i
	dh_install -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a debian/README.Debian
	dh_installexamples -a
	dh_install -a
	chmod +x debian/check-mk-server/usr/share/check_mk/checks/*
	sed -i -e 's/nagiosadmin/icingaadmin/g' debian/check-mk-config-icinga/etc/check_mk/multisite.mk
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

patch: patch-stamp
patch-stamp:
	@echo "Doing $@"
	dpatch  --with-cpp apply-all
	dpatch  --with-cpp cat-all >patch-stamp

unpatch:
	@echo "Doing $@"
	dpatch --with-cpp deapply-all
	rm -rf patch-stamp debian/patched

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://mathias-kettner.com/check_mk_download_source.html download/check_mk-(1\.2\.[p\d\.]*)\.tar\.gz
